Skip to content

Replace DNS Load Balancer Pool.

PUT
/api/config/dns/namespaces/{metadata.namespace}/dns_lb_pools/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/example/dns_lb_pools/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "a_pool": { "disable_health_check": {}, "health_check": { "name": "example", "namespace": "example" }, "max_answers": 1, "members": [ { "disable": true, "ip_endpoint": "example", "name": "example", "priority": 1, "ratio": 1 } ] }, "aaaa_pool": { "max_answers": 1, "members": [ { "disable": true, "ip_endpoint": "example", "name": "example", "priority": 1, "ratio": 1 } ] }, "cname_pool": { "members": [ { "domain": "example", "final_translation": true, "name": "example", "ratio": 1 } ], "disable_health_check": {}, "health_check": { "name": "example", "namespace": "example" } }, "load_balancing_mode": "ROUND_ROBIN", "mx_pool": { "max_answers": 1, "members": [ { "domain": "example", "name": "example", "priority": 1, "ratio": 1 } ] }, "srv_pool": { "max_answers": 1, "members": [ { "final_translation": true, "name": "example", "port": 1, "priority": 1, "ratio": 1, "target": "example", "weight": 1 } ] }, "ttl": 1, "use_rrset_ttl": {} } }'

Replace DNS Load Balancer Pool in a given namespace.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a dns_lb_pool

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
a_pool
object
disable_health_check
object
health_check
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
max_answers
Maximum Answers

Limit on number of Resource Records to be included in the response to query Required: YES.

integer format: int64
members
Collection of A record members

Required: YES.

Array<object>
>= 1 items <= 32 items
AddressMember

Public IP address which can be IPv4 or IPv6. This can be a member of only A/AAAA type Pool.

object
disable
Disable pool-member

A value of true will disable the pool-member.

boolean format: boolean
ip_endpoint
IP

Public IP address Required: YES.

string
<= 1024 characters
name
Name

Pool member name.

string
>= 6 characters <= 256 characters
priority
Priority

Used if the pool’s load balancing mode is set to Priority.

integer format: int64
ratio
Ratio

Used if the pool’s load balancing mode is set to Ratio-Member.

integer format: int64
aaaa_pool
object
max_answers
Maximum Answers

Limit on number of Resource Records to be included in the response to query Required: YES.

integer format: int64
members
Collection of AAAA record members

Required: YES.

Array<object>
>= 1 items <= 32 items
AddressMember

Public IP address which can be IPv4 or IPv6. This can be a member of only A/AAAA type Pool.

object
disable
Disable pool-member

A value of true will disable the pool-member.

boolean format: boolean
ip_endpoint
IP

Public IP address Required: YES.

string
<= 1024 characters
name
Name

Pool member name.

string
>= 6 characters <= 256 characters
priority
Priority

Used if the pool’s load balancing mode is set to Priority.

integer format: int64
ratio
Ratio

Used if the pool’s load balancing mode is set to Ratio-Member.

integer format: int64
cname_pool
object
members
Collection of CNAME record members

Required: YES.

Array<object>
>= 1 items <= 32 items
CNAMEMember

CNAME Record which can be a member of a CNAME type pool.

object
domain
Domain

Required: YES.

string format: hostname
>= 26 characters <= 1024 characters
final_translation
Final Translation

If this flag is true, the CNAME record will not be translated further.

boolean format: boolean
name
Name

Pool member name.

string
>= 6 characters <= 256 characters
ratio
Ratio

Configuration parameter for ratio

integer format: int64
disable_health_check
object
health_check
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
load_balancing_mode
string
default: ROUND_ROBIN
Allowed values: ROUND_ROBIN RATIO_MEMBER STATIC_PERSIST PRIORITY
mx_pool
object
max_answers
Maximum Answers

Limit on number of Resource Records to be included in the response to query Required: YES.

integer format: int64
members
Collection of MX record members

Required: YES.

Array<object>
>= 1 items <= 32 items
MXMember

MX Record which can be a member of a MX type pool.

object
domain
Domain

Required: YES.

string format: hostname
>= 26 characters <= 1024 characters
name
Name

Pool member name.

string
>= 6 characters <= 256 characters
priority
Priority

MX Record priority.

integer format: int64
ratio
Ratio

Load Balancing Ratio.

integer format: int64
srv_pool
object
max_answers
Maximum Answers

Limit on number of Resource Records to be included in the response to query Required: YES.

integer format: int64
members
Collection of SRV record members

Required: YES.

Array<object>
>= 1 items <= 32 items
SRVMember

SRV Record which can be a member of a SRV type pool.

object
final_translation
Final Translation

If this flag is true, the SRV record will not be translated further.

boolean format: boolean
name
Name

Pool member name.

string
>= 6 characters <= 256 characters
port
Port

Port on which the service can be found Required: YES.

integer format: int64
>= 1 <= 65535
priority
Priority

Priority of the target. A lower number indicates a higher preference. Required: YES.

integer format: int64
ratio
Ratio

Configuration parameter for ratio

integer format: int64
target
Target

Domain name of the machine providing the service Required: YES.

string
<= 1024 characters
weight
Weight

Weight of the target. A higher number indicates a higher preference. Required: YES.

integer format: int64
ttl

Exclusive with [use_rrset_ttl] Custom TTL in seconds (default 30) for responses from this pool.

integer format: int64
use_rrset_ttl
object

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example